Classes | Enumerations | Functions

# geometry.h File Reference

## Classes
class | wxPoint2DInt
class | wxPoint2DDouble
class | wxRect2DDouble
class | wxRect2DInt
class | wxTransform2D
## Enumerations
enum | wxOutCode { wxInside = 0x00, wxOutLeft = 0x01, wxOutRight = 0x02, wxOutTop = 0x08, wxOutBottom = 0x04 }
## Functions
wxPoint2DInt | operator+ (const wxPoint2DInt &pt1, const wxPoint2DInt &pt2)
wxPoint2DInt | operator- (const wxPoint2DInt &pt1, const wxPoint2DInt &pt2)
wxPoint2DInt | operator* (const wxPoint2DInt &pt1, const wxPoint2DInt &pt2)
wxPoint2DInt | operator* (wxInt32 n, const wxPoint2DInt &pt)
wxPoint2DInt | operator* (const wxPoint2DInt &pt, wxInt32 n)
wxPoint2DInt | operator/ (const wxPoint2DInt &pt1, const wxPoint2DInt &pt2)
wxPoint2DInt | operator/ (const wxPoint2DInt &pt, wxInt32 n)
wxPoint2DDouble | operator+ (const wxPoint2DDouble &pt1, const wxPoint2DDouble &pt2)
wxPoint2DDouble | operator- (const wxPoint2DDouble &pt1, const wxPoint2DDouble &pt2)
wxPoint2DDouble | operator* (const wxPoint2DDouble &pt1, const wxPoint2DDouble &pt2)
wxPoint2DDouble | operator* (wxDouble n, const wxPoint2DDouble &pt)
wxPoint2DDouble | operator* (wxInt32 n, const wxPoint2DDouble &pt)
wxPoint2DDouble | operator* (const wxPoint2DDouble &pt, wxDouble n)
wxPoint2DDouble | operator* (const wxPoint2DDouble &pt, wxInt32 n)
wxPoint2DDouble | operator/ (const wxPoint2DDouble &pt1, const wxPoint2DDouble &pt2)
wxPoint2DDouble | operator/ (const wxPoint2DDouble &pt, wxDouble n)
wxPoint2DDouble | operator/ (const wxPoint2DDouble &pt, wxInt32 n)

## Enumeration Type Documentation

enum wxOutCode

Enumerator:

  wxInside |
  wxOutLeft |
  wxOutRight |
  wxOutTop |
  wxOutBottom |

## Function Documentation

wxPoint2DInt operator* | ( | const wxPoint2DInt & | pt1,
|  | const wxPoint2DInt & | pt2 |
| ) |  |  |

wxPoint2DInt operator* | ( | wxInt32 | n,
|  | const wxPoint2DInt & | pt |
| ) |  |  |

wxPoint2DInt operator* | ( | const wxPoint2DInt & | pt,
|  | wxInt32 | n |
| ) |  |  |

wxPoint2DDouble operator* | ( | const wxPoint2DDouble & | pt1,
|  | const wxPoint2DDouble & | pt2 |
| ) |  |  |

wxPoint2DDouble operator* | ( | wxDouble | n,
|  | const wxPoint2DDouble & | pt |
| ) |  |  |

wxPoint2DDouble operator* | ( | wxInt32 | n,
|  | const wxPoint2DDouble & | pt |
| ) |  |  |

wxPoint2DDouble operator* | ( | const wxPoint2DDouble & | pt,
|  | wxDouble | n |
| ) |  |  |

wxPoint2DDouble operator* | ( | const wxPoint2DDouble & | pt,
|  | wxInt32 | n |
| ) |  |  |

wxPoint2DDouble operator+ | ( | const wxPoint2DDouble & | pt1,
|  | const wxPoint2DDouble & | pt2 |
| ) |  |  |

wxPoint2DInt operator+ | ( | const wxPoint2DInt & | pt1,
|  | const wxPoint2DInt & | pt2 |
| ) |  |  |

wxPoint2DInt operator- | ( | const wxPoint2DInt & | pt1,
|  | const wxPoint2DInt & | pt2 |
| ) |  |  |

wxPoint2DDouble operator- | ( | const wxPoint2DDouble & | pt1,
|  | const wxPoint2DDouble & | pt2 |
| ) |  |  |

wxPoint2DDouble operator/ | ( | const wxPoint2DDouble & | pt,
|  | wxDouble | n |
| ) |  |  |

wxPoint2DDouble operator/ | ( | const wxPoint2DDouble & | pt1,
|  | const wxPoint2DDouble & | pt2 |
| ) |  |  |

wxPoint2DInt operator/ | ( | const wxPoint2DInt & | pt,
|  | wxInt32 | n |
| ) |  |  |

wxPoint2DDouble operator/ | ( | const wxPoint2DDouble & | pt,
|  | wxInt32 | n |
| ) |  |  |

wxPoint2DInt operator/ | ( | const wxPoint2DInt & | pt1,
|  | const wxPoint2DInt & | pt2 |
| ) |  |  |

|  | [ top ]